![Banner V3](https://github.com/user-attachments/assets/1c2cdf13-5cab-432a-b548-34cd3876e93f)
# GoDAM
Contributors: rtcamp, elifvish, subodhrajpopat, kuldipchaudhary, prachigarg19, juzar

Tags: media, multimedia, audio, songs, music, video, ffmpeg, media-node, rtMedia, WordPress, transcode, transcoder, encoding, encode, transcoder, DAM, audio video conversion, digital asset management

Requires at least: 6.5

Tested up to: 6.7.1

Requires PHP: 7.4

Stable tag: 1.0.0

License: [GPLv2 or later](http://www.gnu.org/licenses/gpl-2.0.html)

Seamlessly manage and optimize digital assets with GoDAM – featuring transcoding, adaptive streaming, interactive video layers, gravity forms integration, and ad integration.

## Description
[GoDAM](https://godam.io/) is a powerful digital asset management solution designed to provide automatic transcoding, adaptive bitrate streaming, and interactive video layers to enhance viewer engagement. It simplifies the entire video workflow, from upload to optimized playback, ensuring smooth delivery across all devices and network conditions.

With GoDAM, WordPress users can leverage advanced video capabilities without requiring extensive technical expertise. It automates the conversion of uploaded videos into multiple resolutions, enabling seamless playback with adaptive bitrate streaming. The integration of interactive elements such as CTAs, forms, hotspots and ads makes GoDAM an all-in-one solution for content creators, marketers, and eCommerce businesses.

### Key Features

📌 Media Management
- The DAM functionality streamlines file organization for websites with large libraries of images, videos, documents, and more.
- Organize media assets efficiently with enhanced WordPress Media Library integration.

📌 Interactive Video Layers for Engagement
- Embed clickable CTAs to drive actions like sign-ups and purchases.
- Enhance your videos with customizable hotspots that deliver additional context, links, and information exactly when and where your viewers need it. (Pro)
- Integrate Gravity Forms to collect user feedback and lead data within videos. (Pro)

📌 Smart Transcoding & Adaptive Bitrate Streaming (Pro)
- Automatically converts videos into multiple resolutions (240p to 4K).
- Ensures smooth playback by dynamically adjusting quality based on network speed.
- Supports MP4, WebM, and other common video formats for maximum compatibility.

📌 Seamless Ad Monetization (Pro)
- Supports self-hosted ads and third-party ad networks.
- Flexible ad placements (pre-roll, mid-roll, post-roll) to maximize revenue.
- Boost revenue and engagement with clickable ad redirections

📌 Customizable Video Player Experience
- Fully customizable playback controls, branding, and player themes.
- Enable video looping, autoplay, and inline play for better user experience.
- Watermarking support to protect video content. (Pro)

📌 Video Analytics (Pro)
- Monitor viewer behavior and engagement through detailed metrics and heatmaps.
- Track video interactions to optimize content strategy.
- Gain insights into user retention and conversion rates.

### Primary Benefits:
- Simplifies asset management with automated transcoding and adaptive streaming.
- Enhances viewer engagement with interactive layers like forms, CTAs, and hotspots.
- Integrates seamlessly with WordPress for a familiar and user-friendly experience.

### Secondary Benefits:
- Cost-efficient pricing tailored to your actual usage.
- Scalable features suitable for small businesses, educators, and enterprise-level users.
- Monetization opportunities through ad placement and e-commerce integrations.

### Use Cases:
- Education: Deliver interactive video lessons with forms for quizzes or feedback.
- E-commerce: Use video hotspots to enable in-video product purchases.
- Marketing: Engage viewers with CTAs and lead capture forms.
- Content Platforms: Stream high-quality videos with minimal buffering and downtime.

GoDAM is ideal for businesses, content creators, educators, and media platforms looking to streamline digital asset management while offering high-quality streaming experiences.
Whether you’re running an e-learning site, an eCommerce store with product videos, or a media-heavy blog, GoDAM ensures your videos are delivered efficiently and engagingly.

Get started today and revolutionize the way you manage and deliver video content on WordPress!

### Pricing Plans
[View Pricing Plans](https://godam.io/#pricing)

- **7-Day Free Trial** available for each subscription plan.
- Flexible pricing options to suit different needs.
- Upgrade or cancel anytime based on usage.

## Installation
Method 1: WordPress Dashboard
1. Log in to WordPress (your-site.com/wp-admin).
2. Go to Plugins → Add New.
3. Search for GoDAM, click Install Now, then Activate.

Method 2: Manual Upload
1. Download the GoDAM plugin ZIP.
2. In WordPress, go to Plugins → Add New → Upload Plugin.
3. Select the ZIP file, click Install Now, then Activate.

The GoDAM menu should appear on your admin dashboard!

## Frequently Asked Questions
Q. What is GoDAM, and how does it work?
A. GoDAM is a media management service that seamlessly integrates with your WordPress site to optimize and enhance your audio and video content. It automatically converts uploaded audio files to MP3 and video files to MP4 formats. Additionally, GoDAM offers a suite of powerful features, including thumbnail generation, shortcode support, customizable video layers (like Gravity Forms, text/image CTAs, video hotspots, and ads), adaptive bitrate streaming for smooth playback, and advanced asset management tools.

To get started, you just need to install the GoDAM plugin on your WordPress website and subscribe to a plan. Once set up, GoDAM helps you manage, edit, and deliver media content more efficiently, making it a perfect solution for creators, educators, and businesses.

Q. Which file types are supported?
A. GoDAM converts all supported audio files to MP3 format and video files to MP4 format.
Supported input formats:
• Audio: MP3, M4A, WAV, OGG, WMA
• Video: 3G2, 3GP, AVI, FLV, M4V, MOV (QDM2 only), MP4, MPG, OGV, WEBM, WMV

Q. Who is GoDAM designed for?
A. Our solution is perfect for content creators, marketers, educators, e-commerce businesses, and anyone looking to enhance their video strategy with customizable and interactive features.

Q. What are Video Layers, and how do they work?
A. Video Layers allow you to add interactive elements like forms, CTAs, ads, and hotspots directly onto your videos. For example, you can pause a video to collect leads using Gravity Forms or display a call-to-action at a specific timestamp.

Q. What is adaptive bitrate streaming?
A. Adaptive bitrate streaming ensures that viewers get the best possible video quality based on their network conditions. It adjusts the resolution dynamically, providing a seamless viewing experience even on slower connections.

Q. Can I customize the video player?
A. Yes, our customizable player allows you to tailor the controls, branding, and features to match your unique requirements and branding guidelines.

Q. Is there a free trial available?
A. Yes! You can start with a 7-day free trial to explore all features. If you decide not to continue with the subscribed plan, you can cancel anytime and remove your credit card.

Q. Can I track video engagement and analytics?
A. Yes, GoDAM provides robust analytics tools to track video engagement, including metrics like play counts, watch time, and heatmaps to see which parts of your videos are most engaging. These insights help you optimize your content strategy.

### Screenshots
1. General Settings
2. Video Settings
3. Video Editor
4. Gravity Forms integration
5. CTA Layer
6. Hotspot Layer
7. Ads integration
8. Player Settings
9. Enhanced Media Library

## Changelog
1.0.0 [Feb 2025]
- Initial release of GoDAM plugin.
- Automatic transcoding for audio and video files.
- Adaptive bitrate streaming for smooth playback.
- Interactive video layers (CTAs, forms, hotspots, ads).
- Customizable video player with branding options.
- Cloud storage and CDN integration.
- Advanced analytics and engagement tracking.
- Enhanced WordPress Media Library for better asset management.
